## org.apache.batik.bridge
Class SVGAElementBridge.MouseOverDefaultActionable

    java.lang.Object
      org.apache.batik.bridge.SVGAElementBridge.MouseOverDefaultActionable

All Implemented Interfaces:
  java.lang.Runnable

Enclosing class:
  SVGAElementBridge

    public static class SVGAElementBridge.MouseOverDefaultActionable

extends java.lang.Object
implements java.lang.Runnable

Field Summary
`protected org.w3c.dom.svg.SVGAElement` `elt`
`protected SVGAElementBridge.CursorHolder` `holder`
`protected org.w3c.dom.Element` `target`
`protected UserAgent` `userAgent`

Constructor Summary
`SVGAElementBridge.MouseOverDefaultActionable(org.w3c.dom.Element t, org.w3c.dom.svg.SVGAElement e, UserAgent ua, SVGAElementBridge.CursorHolder ch)`

Method Summary
`void` `run()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### target

    protected org.w3c.dom.Element target

### elt

    protected org.w3c.dom.svg.SVGAElement elt

### userAgent

    protected UserAgent userAgent

### holder

    protected SVGAElementBridge.CursorHolder holder

Constructor Detail

### SVGAElementBridge.MouseOverDefaultActionable

    public SVGAElementBridge.MouseOverDefaultActionable(org.w3c.dom.Element t,
                                                        org.w3c.dom.svg.SVGAElement e,
                                                        UserAgent ua,
                                                        SVGAElementBridge.CursorHolder ch)

Method Detail

### run

    public void run()

  Specified by:
    `run` in interface `java.lang.Runnable`

Copyright © 2008 Apache Software Foundation. All Rights Reserved.